E-MailRelay

Public Member Functions | Public Attributes | List of all members
GSmtp::Verifier::Config Struct Reference

Configuration passed to address verifier constructors. More...

`#include <gverifier.h>`

Collaboration diagram for GSmtp::Verifier::Config:
[legend]

## Public Member Functions
Config & | set_timeout (unsigned int) noexcept
Config & | set_domain (const std::string &)

## Public Attributes
unsigned int | timeout {60U}
std::string | domain

## Detailed Description

Configuration passed to address verifier constructors.

Definition at line 56 of file gverifier.h.

## Member Function Documentation

## ◆ set_domain()

GSmtp::Verifier::Config & GSmtp::Verifier::Config::set_domain | ( | const std::string & | s | ) |
| inline

Definition at line 82 of file gverifier.h.

## ◆ set_timeout()

GSmtp::Verifier::Config & GSmtp::Verifier::Config::set_timeout | ( | unsigned int | n | ) |
| inline noexcept

Definition at line 81 of file gverifier.h.

## Member Data Documentation

## ◆ domain

std::string GSmtp::Verifier::Config::domain

Definition at line 59 of file gverifier.h.

## ◆ timeout

unsigned int GSmtp::Verifier::Config::timeout {60U}

Definition at line 58 of file gverifier.h.

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gsmtp/gverifier.h